const path = require('path');

function resolve (dir) {
  return path.join(__dirname, dir);
}
module.exports = {
    publicPath:'./',
    configureWebpack: config => {
    config.externals = {
        vue: 'Vue',
        'vue-router': 'VueRouter',
        vuex: 'Vuex',
        axios: 'axios',
        'element-ui': 'ELEMENT',
    };
    },
    chainWebpack: (config) => {
        config.resolve.alias
          .set('@', resolve('src'));
      }
}