import Vue from 'vue'
import App from './App.vue'
import VueRouter from 'vue-router';
import axios from 'axios';
import store from './store'
import './qiankun.js';
import '@/assets/reset.scss'

Vue.prototype.axios = axios;
Vue.prototype.axios.defaults.withCredentials = true;
Vue.use(VueRouter);
Vue.config.productionTip = false
const microName = '/'
 
const routes = []
const router = new VueRouter({
  base: microName,
  routes,
});


new Vue({
  router,
  store,
  render: h => h(App),
}).$mount('#app')
 